.panel.panel-default
  .panel-body
    - if @section_one.collect_concat{|cc| [cc.dig("units"), cc.dig("unit_cost")]}.sum.eql?(0.0)
      %table.table.table-striped.table-bordered.table-hover
        %caption{:style => "border-bottom: 1px solid #eee"}
          %h4.text-danger= "Insufficient data for the selected report combination, Please choose a different combination"
        %tbody
          %tr
            %td  
              %strong Micro Watershed: 
            %td  
              = MicroWaterShed.find(params[:micro_water_shed]).name
          %tr
            %td  
              %strong Farmer Category
            %td  
              = params[:farmer_category]  
          %tr
            %td  
              %strong Main Crop:
            %td  
              = CropList.find(params[:crop_list]).name
          %tr
            %td  
              %strong Inter Crop:
            %td  
              = IntercropList.find(params[:inter_crop_list]).name  
          %tr
            %td  
              %strong Data Available for Main Crops:
            %td
              = @existing_main_crops.join(', ')

    -else
      .table-responsive
        %table.table.table-striped.table-bordered.table-hover
          %caption{:style => "border-bottom: 1px solid #eee"}
            %h4.text-primary= "Cost of Cultivation - #{@farmer_category}"
          - cols = ['Hired Human Labour', 'Bullock', 'Tractor', |
            'Machinery', 'Seed Main Crop', 'Seed Inter Crop', 'FYM', 'Fertilizer + micronutrients', |
            'Pesticides (PPC)', 'Irrigation', 'Repairs', 'Msc. Charges (Marketing costs etc)', 'Depreciation charges', |
            'Land revenue and Taxes']

          - units = ['Man days', 'Pairs/day', 'Hours', 'Hours', |
            'Kgs (Rs.)', 'Kgs.', 'Quintal', 'Quintal', 'Kgs / liters', 'Number', '', '', '', '']
  
          - @b2_cost = @b1_17_total + @rental.dig('unit_cost')
          - @c1_cost = @b2_cost + @family_labour.dig('unit_cost')
          - @c2_cost = @c1_cost + @risk_premia.dig('unit_cost')
          - @c3_cost = @c2_cost + (@c2_cost * 0.10)
          %thead
            %tr
              %th.text-center Sl.No
              %th.text-center Particulars
              %th.text-center Units
              %th.text-center Phy Units
              %th.text-center Value(Rs.)
              %th.text-center % to C3
          %tbody
            %tr
              %td.text-center
                %strong.text-primary I
              %td{:colspan => 5} 
                %strong.text-primary Cost A1
            - cols.each_with_index do |row, index|
              - section_item = @section_one.find{|a| a['name'] == row}
              - unless section_item.blank?
                %tr
                  %td.text-center= index + 1
                  %td= row == 'Seed Main Crop' ? row + ' (Establishment and Maintenence)' : row
                  %td.text-center= units[index]
                  %td.text-right= section_item.dig('units').blank? ? '' : number_with_precision(section_item.dig('units'), precision: 2)
                  %td.text-right= section_item.dig('unit_cost').blank? ? 0 : number_with_precision(section_item.dig('unit_cost'),precision: 2)
                  %td.text-right= section_item.dig('unit_cost').blank? ? 0 : number_with_precision(((section_item.dig('unit_cost') /  @c3_cost) * 100 ),precision: 2)
                -# %td.text-right= section_item.blank? ? 0 : ((((_unit_cost / section_item.area) * 2.47) / @c3_cost ) * 100).round(2)
  
            %tr
              %td.text-center
                %strong.text-primary II
              %td{:colspan => 5} 
                %strong.text-primary Cost B1
            %tr 
              %td.text-center 15 
              -# &#8377; Rupees symbol
              %td{:colspan => 3} Interest on Investment
              %td.text-right= @b1_15.dig('unit_cost').blank? ? 0 : number_with_precision(@b1_15.dig('unit_cost'),precision: 2)
              %td.text-right= @b1_15.dig('unit_cost').blank? ? 0 : number_with_precision((@b1_15.dig('unit_cost') /  @c3_cost ) * 100,precision: 2)
              -# %td.text-right= @b1_15.unit_cost.blank? ? 0 : (((@b1_15.unit_cost/@b1_15.area).round(2) / @c3_cost ) * 100).round(2)
            %tr
              %td.text-center 16
              %td{:colspan => 3} Interest on working capital
              %td.text-right= number_with_precision(@b1_16, precision: 2)
              %td.text-right= number_with_precision((@b1_16 /  @c3_cost) * 100, precision: 2)
              -# %td.text-right= ((@b1_16 / @c3_cost ) * 100 ).round(2)
            %tr
              %td.text-center 17
              %td{:colspan => 3} 
                %strong Cost B1 = (Cost A1 + sum of 15 and 16)
              %td.text-right= number_with_precision(@b1_17_total, precision: 2)
              %td.text-right= number_with_precision((@b1_17_total / @c3_cost) * 100, precision: 2)
              -# %td.text-right= ((@b1_17_total / @c3_cost) * 100 ).round(2) 
            -# COST B2
            %tr
              %td.text-center
                %strong.text-primary III
              %td{:colspan => 5} 
                %strong.text-primary Cost B2
            %tr
              %td.text-center 18
              %td Rental Value of Land
              %td    
              %td    
              %td.text-right= number_with_precision((@rental.dig('unit_cost')), precision: 2)
              %td.text-right= number_with_precision(((@rental.dig('unit_cost') / @c3_cost )* 100 ), precision: 2)
            %tr
              %td.text-center 19
              %td  
                %strong Cost B2 = (Cost B1 + Rental value)   
              %td    
              %td
              %td.text-right= number_with_precision(@b2_cost, precision: 2)
              %td.text-right= number_with_precision((@b2_cost / @c3_cost) * 100 , precision: 2)
  
  
            %tr
              %td.text-center
                %strong.text-primary IV
              %td{:colspan => 5} 
                %strong.text-primary Cost C1
            %tr
              %td.text-center 20
              %td Family Human Labour
              %td    
              %td.text-right= @family_labour.dig('units').blank? ? 0 : number_with_precision((@family_labour.dig('units')), precision: 2)
              %td.text-right= @family_labour.dig('unit_cost').blank? ? 0 : number_with_precision((@family_labour.dig('unit_cost')), precision: 2)
              %td.text-right= @family_labour.dig('unit_cost').blank? ? 0 : number_with_precision(@family_labour.dig('unit_cost')/ @c3_cost * 100, precision: 2)
            %tr
              %td.text-center 21
              %td  
                %strong Cost C1 = (Cost B2 + Family Labour)   
              %td    
              %td  
              %td.text-right= number_with_precision(@c1_cost, precision: 2)
              %td.text-right= number_with_precision((@c1_cost / @c3_cost )* 100 , precision: 2)
  
  
            %tr
              %td.text-center
                %strong.text-primary V
              %td{:colspan => 5} 
                %strong.text-primary Cost C2
            %tr
              %td.text-center 22
              %td Risk Premium
              %td    
              %td
              %td.text-right= @risk_premia.dig('unit_cost').blank? ? 0 : number_with_precision((@risk_premia.dig('unit_cost')), precision: 2)
              %td.text-right= @risk_premia.dig('unit_cost').blank? ? 0 : number_with_precision(@risk_premia.dig('unit_cost')/ @c3_cost * 100, precision: 2)
            %tr
              %td.text-center 23
              %td  
                %strong Cost C2 = (Cost C1 + Risk Premium)
              %td
              %td
              %td.text-right= number_with_precision(@c2_cost, precision: 2)
              %td.text-right= number_with_precision((@c2_cost / @c3_cost )* 100 , precision: 2)
  
  
            %tr
              %td.text-center
                %strong.text-primary VI
              %td{:colspan => 5} 
                %strong.text-primary Cost C3
            %tr
              %td.text-center 24
              %td Managerial Cost
              %td    
              %td
              %td.text-right= number_with_precision(@c2_cost * 0.10, precision: 2)
              %td.text-right= number_with_precision(((@c2_cost * 0.10)/ @c3_cost )* 100 , precision: 2)

            %tr
              %td.text-center 25
              %td  
                %strong Cost C3 = (Cost C2 + Managerial Cost)   
              %td
              %td
              %td.text-right= number_with_precision(@c3_cost, precision: 2)
              %td.text-right= number_with_precision((@c3_cost/ @c3_cost )* 100 , precision: 2)
  
            -# Economics of the Crop
            %tr
              %td.text-center
                %strong.text-primary VII
              %td{:colspan => 5} 
                %strong.text-primary Economics of the Crop
            %tr
              %td.text-center{:rowspan => 8} a.
              %td{:rowspan => 4} Main Product
              %td a) Main Product (q)
              - a_1 = @crop_economics.find{|ce| ce.dig('name') == "MP_MC_quantity"}
              %td.text-right= number_with_precision(a_1['unit'], precision: 2)
              %td.text-right= a_1.dig('unit_cost').blank? ? 0 : number_with_precision(a_1.dig('unit_cost'), precision: 2)
              %td 
            %tr  
              %td b) Main Crop Sales Price (Rs.)
              - a_2 = @crop_economics.find{|ce| ce.dig('name') == "MP_MC_price"}
              %td.text-right
              %td.text-right= a_2.dig('unit_cost').blank? ? 0 : number_with_precision(a_2.dig('unit_cost'), precision: 2)
              %td 
             
            %tr
              %td c) Intercrop (q)  
              - a_3 = @crop_economics.find{|ce| ce.dig('name') == "MP_IC_quantity"}
              %td.text-right= number_with_precision(a_3['unit'], precision: 2)
              %td.text-right= a_3.dig('unit_cost').blank? ? 0 : number_with_precision(a_3.dig('unit_cost'), precision: 2)
              %td 
            %tr 
              %td d) Intercrop Sales Price (Rs.)
              - a_4 = @crop_economics.find{|ce| ce.dig('name') == "MP_IC_price"}
              %td.text-right
              %td.text-right= a_4.dig('unit_cost').blank? ? 0 : number_with_precision(a_4.dig('unit_cost'), precision: 2)
              %td  
  
            %tr
              %td{:rowspan => 4} By Product
              %td e) Main Product (q)
              - a_5 = @crop_economics.find{|ce| ce.dig('name') == "BP_MC_quantity"}
              %td.text-right= number_with_precision(a_5['unit'], precision: 2)
              %td.text-right= a_5.dig('unit_cost').blank? ? 0 : number_with_precision(a_5.dig('unit_cost'), precision: 2)
              %td 
            %tr  
              %td f) Main Crop Sales Price (Rs.)
              - a_6 = @crop_economics.find{|ce| ce.dig('name') == "BP_MC_price"}
              %td.text-right= number_with_precision(a_6['unit'], precision: 2)
              %td.text-right= a_6.dig('unit_cost').blank? ? 0 : number_with_precision(a_6.dig('unit_cost'), precision: 2)
              %td 
            %tr
              %td g) Intercrop (q)  
              - a_7 = @crop_economics.find{|ce| ce.dig('name') == "BP_IC_quantity"}
              %td.text-right= number_with_precision(a_7['unit'], precision: 2)
              %td.text-right= a_7.dig('unit_cost').blank? ? 0 : number_with_precision(a_7.dig('unit_cost'), precision: 2)
              %td 
            %tr 
              %td h) Intercrop Sales Price (Rs.) 
              - a_8 = @crop_economics.find{|ce| ce.dig('name') == "BP_IC_price"}
              %td.text-right= number_with_precision(a_8['unit'], precision: 2)
              %td.text-right= a_8.dig('unit_cost').blank? ? 0 : number_with_precision(a_8.dig('unit_cost'), precision: 2)
              %td 
  
  
            %tr
              %td.text-center b.
              %td{:colspan => 2} Gross Income (Rs.)
              %td
              %td.text-right= number_with_precision(@gross_income, precision: 2)
              %td 
  
            %tr
              %td.text-center c.
              %td{:colspan => 2} Net Income (Rs.)
              %td
              %td.text-right= number_with_precision(@gross_income - @c3_cost, precision: 2)
              %td
  
            %tr
              %td.text-center d.
              %td{:colspan => 2} Cost per Quintal (Rs./q.)
              %td
              - _quantity_list = ['MP_MC_quantity', 'MP_IC_quantity']
              - _quantity = @crop_economics.collect{|a| _quantity_list.include?(a.dig('name')) ? a['unit'] : 0 }.compact.sum
              %td.text-right= number_with_precision((@c3_cost / _quantity), precision: 2)
              %td 

            %tr
              %td.text-center e.
              %td{:colspan => 2} Benefit Cost Ratio (BC Ratio)
              %td
              %td.text-right= "1:" + (@c3_cost.blank? ? 0 :  (@gross_income / @c3_cost).round(2).to_s)
              %td

